DNS::LDNS::DNSSecDataChain(3)

NAME
DNS::LDNS::DNSSecDataChain - DNSSec data chain element

SYNOPSIS
  use DNS::LDNS ':all'

  chain = new DNS::LDNS::DNSSecDataChain
  chain->print(fp)
  chain->derive_trust_tree(rr)
  chain->derive_trust_tree_time(rr, checktime)

  # Node attributes
  rrset = chain->rrset
  rrset = chain->signatures
  rrtype = chain->parent_type
  pchain = chain->parent
  rcode = chain->packet_rcode
  rrtype = chain->packet_qtype
  bool = chain->packet_nodata

SEE ALSO
http://www.nlnetlabs.nl/projects/ldns

AUTHOR
Erik Pihl Ostlyngen, <erik.ostlyngen@uninett.no>

COPYRIGHT AND LICENSE
Copyright (C) 2013 by UNINETT Norid AS

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.14.2 or, at your option, any later version of Perl 5 you may have available.